import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;


const eyeOffsetX = 50;
const eyeOffsetY = 70;
const eyeRadius = 30;
const eyeBalls = 10




const mouthWidth = 100;
const mouthRadius = 0;


const hatRadius = 160
const hatWidth = 70


const hair = arc()
  .innerRadius(hatRadius)
  .outerRadius(hatWidth + hatRadius)
  .startAngle(Math.PI*2.2)
  .endAngle(Math.PI*1.8);

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI*0.5)
  .endAngle(Math.PI * 1.5);




const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      
      
 
      
      <ellipse
        rx={(centerY - strokeWidth / 2)/1.5}
        ry = "180"
        fill="#FEE8B9"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill = 'white'
        stroke = 'black'
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill = 'white'
        stroke = 'black'
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeBalls}
        fill = 'black'
         
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeBalls}
				fill = 'black'
      />
      
    	<defs>
    		<filter id="Gaussian_Blur">
        	<feGaussianBlur in="SourceGraphic" stdDeviation="3" />
    		</filter>
  		</defs>
  		
      
      
      <path d={mouthArc()} fill = 'white' stroke = 'black'/>
      
      <polygon points="0,-30 0,-20 5,-90 5,-20" fill = 'black'/>
 
      <path d={hair()} fill = '' stroke = 'black'/>
      
      
      
      
      
			//teeth
      <path d="M-90 10 V 50" fill="transparent" stroke="black"/>
      <path d="M-45 10 V 80" fill="transparent" stroke="black"/>
      <path d="M 0 20 V 70" fill="transparent" stroke="black"/>
      <path d="M 45 10 V 92" fill="transparent" stroke="black"/>
      <path d="M 90 20 V 50" fill="transparent" stroke="black"/>
      <path d="M-90 40 Q 10 60, 90 40 " stroke="black" fill="transparent" stroke-width = '3'/>
    </g>
  </svg>
  
  
  
);




const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);